"Attach to project" causes segfault in CProjectListCtrl::GetItem

Bug #714586 reported by Ralf Hildebrandt
24
This bug affects 9 people
Affects Status Importance Assigned to Milestone
boinc (Ubuntu)
Medium
Daniel Hahler

Bug Description

Binary package hint: boinc

Right after startup, Boinc-manager offers to option "Attach to project" and "Attach to account manager".
Choosing "Attach to project" and clicking on next results in a segfault.

Backtrace:

$ gdb boincmgr
GNU gdb (GDB) 7.2-ubuntu
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/boincmgr...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/bin/boincmgr
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffec626700 (LWP 27484)]
02:59:20 PM: Error: Memory VFS already contains file 'webexternallink.xpm'!
02:59:20 PM: Error: Memory VFS already contains file 'nvidiaicon.xpm'!
02:59:20 PM: Error: Memory VFS already contains file 'atiicon.xpm'!
02:59:20 PM: Error: Memory VFS already contains file 'multicore.xpm'!

Program received signal SIGSEGV, Segmentation fault.
0x00000000004a54ea in ?? ()
(gdb) bt

#0 0x00000000004a54ea in ?? ()
#1 0x00000000004a4056 in ?? ()
#2 0x00007ffff6daf310 in wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase const&, wxEvtHandler*, wxEvent&) () from /usr/lib/libwx_baseu-2.8.so.0
#3 0x00007ffff6db02d4 in wxEventHashTable::HandleEvent(wxEvent&, wxEvtHandler*) () from /usr/lib/libwx_baseu-2.8.so.0
#4 0x00007ffff6db03b7 in wxEvtHandler::ProcessEvent(wxEvent&) () from /usr/lib/libwx_baseu-2.8.so.0
#5 0x0000000000521af3 in ?? ()
#6 0x00007ffff6daf310 in wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase const&, wxEvtHandler*, wxEvent&) () from /usr/lib/libwx_baseu-2.8.so.0
#7 0x00007ffff6db02d4 in wxEventHashTable::HandleEvent(wxEvent&, wxEvtHandler*) () from /usr/lib/libwx_baseu-2.8.so.0
#8 0x00007ffff6db03b7 in wxEvtHandler::ProcessEvent(wxEvent&) () from /usr/lib/libwx_baseu-2.8.so.0
#9 0x00007ffff751f209 in wxWindowBase::TryParent(wxEvent&) () from /usr/lib/libwx_gtk2u_core-2.8.so.0
#10 0x00007ffff7461639 in ?? () from /usr/lib/libwx_gtk2u_core-2.8.so.0
#11 0x00007ffff4179a6e in g_closure_invoke (closure=0xc3b3f0, return_value=0x0, n_param_values=1, param_values=0xc35c80, invocation_hint=0x7fffffffd250)
    at /build/buildd/glib2.0-2.26.1/gobject/gclosure.c:766
#12 0x00007ffff41901e4 in signal_emit_unlocked_R (node=0x99c2e0, detail=<value optimized out>, instance=<value optimized out>, emission_return=<value optimized out>,
    instance_and_params=<value optimized out>) at /build/buildd/glib2.0-2.26.1/gobject/gsignal.c:3322
#13 0x00007ffff41912a6 in g_signal_emit_valist (instance=0xc1f6f0, signal_id=<value optimized out>, detail=0, var_args=0x7fffffffd440)
    at /build/buildd/glib2.0-2.26.1/gobject/gsignal.c:2983
#14 0x00007ffff4191863 in g_signal_emit (instance=0xcb6c80, signal_id=0, detail=0) at /build/buildd/glib2.0-2.26.1/gobject/gsignal.c:3040
#15 0x00007ffff5767e85 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#16 0x00007ffff4179a6e in g_closure_invoke (closure=0x99c110, return_value=0x0, n_param_values=1, param_values=0xd7dc60, invocation_hint=0x7fffffffd660)
    at /build/buildd/glib2.0-2.26.1/gobject/gclosure.c:766
#17 0x00007ffff418f6b1 in signal_emit_unlocked_R (node=0x99c210, detail=<value optimized out>, instance=<value optimized out>, emission_return=<value optimized out>,
    instance_and_params=<value optimized out>) at /build/buildd/glib2.0-2.26.1/gobject/gsignal.c:3182
#18 0x00007ffff41912a6 in g_signal_emit_valist (instance=0xc1f6f0, signal_id=<value optimized out>, detail=0, var_args=0x7fffffffd850)
    at /build/buildd/glib2.0-2.26.1/gobject/gsignal.c:2983
#19 0x00007ffff4191863 in g_signal_emit (instance=0xcb6c80, signal_id=0, detail=0) at /build/buildd/glib2.0-2.26.1/gobject/gsignal.c:3040
#20 0x00007ffff5766b8d in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#21 0x00007ffff58149d8 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#22 0x00007ffff4179a6e in g_closure_invoke (closure=0x9e5d20, return_value=0x7fffffffdae0, n_param_values=2, param_values=0xd8d010, invocation_hint=0x7fffffffdaa0)
    at /build/buildd/glib2.0-2.26.1/gobject/gclosure.c:766
#23 0x00007ffff418fa30 in signal_emit_unlocked_R (node=0x9e5d90, detail=<value optimized out>, instance=<value optimized out>, emission_return=<value optimized out>,
    instance_and_params=<value optimized out>) at /build/buildd/glib2.0-2.26.1/gobject/gsignal.c:3290
#24 0x00007ffff41910eb in g_signal_emit_valist (instance=0xc1f6f0, signal_id=<value optimized out>, detail=0, var_args=0x7fffffffdc90)
    at /build/buildd/glib2.0-2.26.1/gobject/gsignal.c:2993
#25 0x00007ffff4191863 in g_signal_emit (instance=0xcb6c80, signal_id=0, detail=0) at /build/buildd/glib2.0-2.26.1/gobject/gsignal.c:3040
#26 0x00007ffff592d6df in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#27 0x00007ffff580ce73 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#28 0x00007ffff580df4b in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#29 0x00007ffff548774c in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#30 0x00007ffff38b8342 in g_main_dispatch (context=0x987a10) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2149
#31 g_main_context_dispatch (context=0x987a10) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2702
#32 0x00007ffff38bc2a8 in g_main_context_iterate (context=0x987a10, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>)
    at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2780
#33 0x00007ffff38bc7b5 in g_main_loop_run (loop=0xd82640) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2988
#34 0x00007ffff580e3e7 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#35 0x00007ffff741b578 in wxEventLoop::Run() () from /usr/lib/libwx_gtk2u_core-2.8.so.0
#36 0x00007ffff746cdd3 in wxDialog::ShowModal() () from /usr/lib/libwx_gtk2u_core-2.8.so.0
#37 0x0000000000521f88 in ?? ()
#38 0x000000000051cffc in ?? ()
#39 0x000000000043724b in ?? ()
#40 0x00007ffff6daf310 in wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase const&, wxEvtHandler*, wxEvent&) () from /usr/lib/libwx_baseu-2.8.so.0
#41 0x00007ffff6db02d4 in wxEventHashTable::HandleEvent(wxEvent&, wxEvtHandler*) () from /usr/lib/libwx_baseu-2.8.so.0
#42 0x00007ffff6db03b7 in wxEvtHandler::ProcessEvent(wxEvent&) () from /usr/lib/libwx_baseu-2.8.so.0
#43 0x00007ffff6daf760 in wxEvtHandler::ProcessPendingEvents() () from /usr/lib/libwx_baseu-2.8.so.0
#44 0x00007ffff6d21299 in wxAppConsole::ProcessPendingEvents() () from /usr/lib/libwx_baseu-2.8.so.0
#45 0x00007ffff74a0c7b in wxAppBase::ProcessIdle() () from /usr/lib/libwx_gtk2u_core-2.8.so.0
#46 0x00007ffff74045d0 in ?? () from /usr/lib/libwx_gtk2u_core-2.8.so.0
#47 0x00007ffff38b8342 in g_main_dispatch (context=0x987a10) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2149
#48 g_main_context_dispatch (context=0x987a10) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2702

#49 0x00007ffff38bc2a8 in g_main_context_iterate (context=0x987a10, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>)
    at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2780
#50 0x00007ffff38bc7b5 in g_main_loop_run (loop=0xbdb1e0) at /build/buildd/glib2.0-2.26.1/glib/gmain.c:2988
#51 0x00007ffff580e3e7 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#52 0x00007ffff741b578 in wxEventLoop::Run() () from /usr/lib/libwx_gtk2u_core-2.8.so.0
#53 0x00007ffff74a0b0b in wxAppBase::MainLoop() () from /usr/lib/libwx_gtk2u_core-2.8.so.0
#54 0x00007ffff6d55695 in wxEntry(int&, wchar_t**) () from /usr/lib/libwx_baseu-2.8.so.0
#55 0x000000000044a6f2 in ?? ()
#56 0x00007ffff5d16d8e in __libc_start_main () from /lib/libc.so.6
#57 0x00000000004211a9 in ?? ()
#58 0x00007fffffffe7c8 in ?? ()
#59 0x000000000000001c in ?? ()
#60 0x0000000000000001 in ?? ()
#61 0x00007fffffffea82 in ?? ()
#62 0x0000000000000000 in ?? ()
(gdb)

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: boinc-manager 6.10.58+dfsg-3
ProcVersionSignature: Ubuntu 2.6.35-26.46-generic 2.6.35.10
Uname: Linux 2.6.35-26-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Mon Feb 7 14:59:47 2011
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: boinc

Related branches

Revision history for this message
Ralf Hildebrandt (ralf-hildebrandt) wrote :
Revision history for this message
Daniel Hahler (blueyed) wrote :

Can you enable apport (see /etc/default/apport - need to restart "apport" then), and attach the crash information here?

I cannot confirm it on a system running Ubuntu Natty, but the version of boinc.

I will upload the current release (from Debian unstable) to the boinc PPA (https://launchpad.net/~pkg-boinc/+archive/ppa), where you might want to test a newer version from.

Does the "Attach to project manager" crash in the same way? It might be a feasible workaround to do so instead, allowing to mange any boinc clients from a central place (see http://boincstats.com/bam/).

Changed in boinc (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
Revision history for this message
Ralf Hildebrandt (ralf-hildebrandt) wrote : Re: [Bug 714586] Re: "Attach to project" causes segfault

* Daniel Hahler <email address hidden>:
> Can you enable apport (see /etc/default/apport - need to restart
> "apport" then), and attach the crash information here?
>
> I cannot confirm it on a system running Ubuntu Natty, but the version of
> boinc.

Very odd, it seems to work now.

> I will upload the current release (from Debian unstable) to the boinc
> PPA (https://launchpad.net/~pkg-boinc/+archive/ppa), where you might
> want to test a newer version from.
>
> Does the "Attach to project manager" crash in the same way?

No. I got an account at GridRepublic and was able to use that instead.

> It might be a feasible workaround to do so instead, allowing to mange
> any boinc clients from a central place (see
> http://boincstats.com/bam/).
>
>
> ** Changed in: boinc (Ubuntu)
> Importance: Undecided => Medium
>
> ** Changed in: boinc (Ubuntu)
> Status: New => Incomplete
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/714586
>
> Title:
> "Attach to project" causes segfault
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/boinc/+bug/714586/+subscribe

--
Ralf Hildebrandt
  Geschäftsbereich IT | Abteilung Netzwerk
  Charité - Universitätsmedizin Berlin
  Campus Benjamin Franklin
  Hindenburgdamm 30 | D-12203 Berlin
  Tel. +49 30 450 570 155 | Fax: +49 30 450 570 962
  <email address hidden> | http://www.charite.de

Revision history for this message
Steffen Möller (moeller-debian) wrote : Re: "Attach to project" causes segfault

Hm. What project have you selected to have an account with? Or did it crash even before that list appeared? Was it your very first installation of BOINC? Daniel, how far is 6.12.15 from appearing with Ubuntu so Ralf could also try that?

Revision history for this message
Daniel Hahler (blueyed) wrote :

Ubuntu is in feature freeze for Natty, but we could go through the Freeze Exception process [1].
Steffen, do you think that it is unlikely to cause more problems than it solves?

Apart from that, it is available through my PPA.

I have tried to backport it also for Hardy, but it now really needs a more recent debhelper probably?!

1: https://wiki.ubuntu.com/FreezeExceptionProcess#FeatureFreeze%20for%20new%20upstream%20versions

Revision history for this message
Steffen Möller (moeller-debian) wrote : Re: [Bug 714586] Re: "Attach to project" causes segfault

On 02/27/2011 01:45 PM, Daniel Hahler wrote:
> Ubuntu is in feature freeze for Natty, but we could go through the Freeze Exception process [1].
> Steffen, do you think that it is unlikely to cause more problems than it solves?
Well, no, we should not ship anything officially unstable. I just thought that Ralf might want to compare the behaviour somehow.

> Apart from that, it is available through my PPA.
Ah, nice!

> I have tried to backport it also for Hardy, but it now really needs a
> more recent debhelper probably?!
I cannot tell. Maybe. I admit I cannot motivate myself so much to think about
that five year old distribution too much ... :)

Steffen

Revision history for this message
Ralf Hildebrandt (ralf-hildebrandt) wrote :

* Steffen Möller <email address hidden>:

> Hm. What project have you selected to have an account with? Or did it
> crash even before that list appeared?

The latter

> Was it your very first installation of BOINC?

On that machine, yes.

> Daniel, how far is 6.12.15 from appearing with Ubuntu so Ralf could
> also try that?

Revision history for this message
Steffen Möller (moeller-debian) wrote :
Download full text (9.0 KiB)

Dear all,

my colleague, Andreas Recke, and I just ran into the same issue that was
reported just two weeks ago by Ralf Hildebrandt
https://bugs.launchpad.net/ubuntu/+source/boinc/+bug/714586 : The
boincmgr just crashes when attempting to attach to a project.

The crash was most reliably confirmed for Ubuntu Lucid, client/manager
version 6.10.58.

The environment of Andreas and Ralf may be similar in a (presumed for
Ralf) rather strict firewall policy. Andreas' crash was reproducible
with and without the setting of the HTTP proxy.

The attached backtrace resembles that provided by Ralf, just with the
boinc-dbg package that seems to bring some significant extra.

With best regards,

Andreas and Steffen

Starting program: /usr/bin/boincmgr
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffee29e710 (LWP 3872)]
14:56:11: Error: Memory VFS already contains file 'webexternallink.xpm'!
14:56:11: Error: Memory VFS already contains file 'nvidiaicon.xpm'!
14:56:11: Error: Memory VFS already contains file 'atiicon.xpm'!
14:56:11: Error: Memory VFS already contains file 'multicore.xpm'!

Program received signal SIGSEGV, Segmentation fault.
0x00000000004a746a in CProjectListCtrl::GetItem (this=0xc79b40,
iIndex=0) at ProjectListCtrl.cpp:606
606 ProjectListCtrl.cpp: No such file or directory.
        in ProjectListCtrl.cpp
(gdb) bt
#0 0x00000000004a746a in CProjectListCtrl::GetItem (this=0xc79b40,
iIndex=0) at ProjectListCtrl.cpp:606
#1 0x00000000004a5fd6 in CProjectInfoPage::OnPageChanged (this=<value
optimized out>, event=<value optimized out>) at ProjectInfoPage.cpp:348
#2 0x00007ffff6d91170 in
wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase const&,
wxEvtHandler*, wxEvent&) () from /usr/lib/libwx_baseu-2.8.so.0
#3 0x00007ffff6d92144 in wxEventHashTable::HandleEvent(wxEvent&,
wxEvtHandler*) () from /usr/lib/libwx_baseu-2.8.so.0
#4 0x00007ffff6d92227 in wxEvtHandler::ProcessEvent(wxEvent&) () from
/usr/lib/libwx_baseu-2.8.so.0
#5 0x0000000000522e33 in wxWizardEx::ShowPage (this=0xbf1160,
page=<value optimized out>, goingForward=<value optimized out>) at
wizardex.cpp:562
#6 0x00007ffff6d91170 in
wxEvtHandler::ProcessEventIfMatches(wxEventTableEntryBase const&,
wxEvtHandler*, wxEvent&) () from /usr/lib/libwx_baseu-2.8.so.0
#7 0x00007ffff6d92144 in wxEventHashTable::HandleEvent(wxEvent&,
wxEvtHandler*) () from /usr/lib/libwx_baseu-2.8.so.0
#8 0x00007ffff6d92227 in wxEvtHandler::ProcessEvent(wxEvent&) () from
/usr/lib/libwx_baseu-2.8.so.0
#9 0x00007ffff7516cc9 in wxWindowBase::TryParent(wxEvent&) () from
/usr/lib/libwx_gtk2u_core-2.8.so.0
#10 0x00007ffff7458259 in ?? () from /usr/lib/libwx_gtk2u_core-2.8.so.0
#11 0x00007ffff41a55de in IA__g_closure_invoke (closure=0xbf4f40,
return_value=0x0, n_param_values=1, param_values=0xd8ad60,
invocation_hint=0x7fffffffccd0) at
/build/buildd/glib2.0-2.24.0/gobject/gclosure.c:767
#12 0x00007ffff41b99a4 in signal_emit_unlocked_R (node=0xacbdc0,
detail=<value optimized out>, instance=<value optimized out>,
emission_return=<value optimized out>, instance_and_params=<value
optimized out>)
    at /build/buildd/glib2.0-2.24.0/gobject/gsignal.c:3318
#13 0x00007ffff41baa76 in IA__g_signal_emi...

Read more...

Revision history for this message
Daniel Hahler (blueyed) wrote : Re: "Attach to project" causes segfault

Marking as Triaged: it has been confirmed and has a useful backtrace. Thanks.

Can you please forward it to the upstream bug tracker or maintainers?

Changed in boinc (Ubuntu):
status: Incomplete → Triaged
summary: - "Attach to project" causes segfault
+ "Attach to project" causes segfault in CProjectListCtrl::GetItem
Revision history for this message
Ralf Hildebrandt (ralf-hildebrandt) wrote : Re: [Bug 714586] Re: "Attach to project" causes segfault

* Steffen Möller <email address hidden>:

> The environment of Andreas and Ralf may be similar in a (presumed for
> Ralf) rather strict firewall policy. Andreas' crash was reproducible
> with and without the setting of the HTTP proxy.

Yes, we have a strict firewall policy! No direct connections,
everything needs to go via the proxy.

Revision history for this message
Steffen Möller (moeller-debian) wrote : Re: [boinc_projects] [Bug 714586] Re: "Attach to project"causessegfault

Dear Rom,

On 03/07/2011 10:05 PM, Rom Walton wrote:
> Okay, I think I've found and fixed this issue. The changes should be committed to the 6.10 branch.
>
From what you wrote I understand that this issue is no longer relevant for
the 6.12.x versions, which are already in Debian unstable, right?

I am just somewhat clueless on what we should be doing on the distribution
side. Debian Squeeze just shipped with 6.10.58. Ubuntu Natty is in some late
freeze [1], maybe too late, of the same verion. Please be so kind to reply
again once there is 6.10.59 for us so we do not lose time to confirm the fix
and send out the package.

Many thanks for your quick reacting to the report

Steffen

[1] https://wiki.ubuntu.com/NattyReleaseSchedule

Revision history for this message
Daniel Hahler (blueyed) wrote :

This appears to be fixed in http://boinc.berkeley.edu/trac/log/tags?rev=23210 - but I cannot view this via web-svn.

The patch should get pulled via a new upstream tar.gz or by taking this patch only from svn (via normal SVN access).

Changed in boinc (Ubuntu):
assignee: nobody → Daniel Hahler (blueyed)
Revision history for this message
Daniel Hahler (blueyed) wrote :

I will look into this during this week.

Daniel Hahler (blueyed)
Changed in boinc (Ubuntu):
status: Triaged → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package boinc - 6.10.59+dfsg-0ubuntu1

---------------
boinc (6.10.59+dfsg-0ubuntu1) natty; urgency=low

  * New upstream bugfix release.
    This fixes a segfault in "Attach to project" (LP: #714586).
  * The orig.tar.gz has been generated with the latest version of
    export-boinc from git://git.debian.org/git/pkg-boinc/boinc.git for DFSG
    compliance. Thanks Steffen Moeller.
 -- Daniel Hahler <email address hidden> Tue, 22 Mar 2011 22:33:11 +0100

Changed in boinc (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers